Subject: Re: [lisp] draft-ietf-lisp #48 (reopened): MAP-Replies returning different contents for a given EID (review by Y, Rekhter)

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 18 Mar 2011 13:54:38 -0400

Yakov, this appears to be a request to explain the consequence of 
misconfiguration (misbehavior) of devices participating in LISP.  While 
we do sometimes explain such things, it seems unusual to require that 
the document try to explain the consequences of every possible 
misconfiguration.
Is there an underlying problem you see that drives the importance of 
this particular explanation?

On 2/15/2011 9:44 AM, lisp issue tracker wrote:
> #48: MAP-Replies returning different contents for a given EID (review by Y,
> Rekhter)
>
>
> Comment(by yakov@…):
>
>   The proposed resolution still does not address the issue raised in this
>   ticket, namely to document the consequences if two entities do return MAP-
>   replies with different contents for a given EID.
>

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 21 Mar 2011 13:11:25 -0700

Joel,

> this particular explanation?

Misconfiguration is certainly one possible reason when not all the
ETRs would send Map-Reply with the same database mapping contents.
But it is not the only one possible - another possible reason is
during transients - see my response to #114.

And as I mentioned in my response to #114, the authors should either
(a) state in the draft that there are no drawbacks when inconsistent
replies are sent, or (b) list in the draft (at least some of) the
drawbacks when inconsistent replies are sent.

Yakov.